# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: ecology/flora/plantRecognizer/plantRecognizer.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='ecology/flora/plantRecognizer/plantRecognizer.proto',
  package='ecology.flora.plantRecognizer',
  syntax='proto3',
  serialized_options=b'\252\002!Ecology.Flora.PlantRecognizer.Api',
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n3ecology/flora/plantRecognizer/plantRecognizer.proto\x12\x1d\x65\x63ology.flora.plantRecognizer\"!\n\x0fTrainNetRequest\x12\x0e\n\x06\x65pochs\x18\x01 \x01(\x05\"\x12\n\x10TrainNetResponse\"\x16\n\x14UpdateDataSetRequest\"\x17\n\x15UpdateDataSetResponse\"\'\n\x11PredictNetRequest\x12\x12\n\nimage_data\x18\x01 \x01(\x0c\"/\n\x12PredictNetResponse\x12\x19\n\x11plant_family_name\x18\x01 \x01(\t2\xf1\x02\n\x13PlantRecognizerGrpc\x12k\n\x08TrainNet\x12..ecology.flora.plantRecognizer.TrainNetRequest\x1a/.ecology.flora.plantRecognizer.TrainNetResponse\x12z\n\rUpdateDataSet\x12\x33.ecology.flora.plantRecognizer.UpdateDataSetRequest\x1a\x34.ecology.flora.plantRecognizer.UpdateDataSetResponse\x12q\n\nPredictNet\x12\x30.ecology.flora.plantRecognizer.PredictNetRequest\x1a\x31.ecology.flora.plantRecognizer.PredictNetResponseB$\xaa\x02!Ecology.Flora.PlantRecognizer.Apib\x06proto3'
)




_TRAINNETREQUEST = _descriptor.Descriptor(
  name='TrainNetRequest',
  full_name='ecology.flora.plantRecognizer.TrainNetRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='epochs', full_name='ecology.flora.plantRecognizer.TrainNetRequest.epochs', index=0,
      number=1, type=5, cpp_type=1, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=86,
  serialized_end=119,
)


_TRAINNETRESPONSE = _descriptor.Descriptor(
  name='TrainNetResponse',
  full_name='ecology.flora.plantRecognizer.TrainNetResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=121,
  serialized_end=139,
)


_UPDATEDATASETREQUEST = _descriptor.Descriptor(
  name='UpdateDataSetRequest',
  full_name='ecology.flora.plantRecognizer.UpdateDataSetRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=141,
  serialized_end=163,
)


_UPDATEDATASETRESPONSE = _descriptor.Descriptor(
  name='UpdateDataSetResponse',
  full_name='ecology.flora.plantRecognizer.UpdateDataSetResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=165,
  serialized_end=188,
)


_PREDICTNETREQUEST = _descriptor.Descriptor(
  name='PredictNetRequest',
  full_name='ecology.flora.plantRecognizer.PredictNetRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='image_data', full_name='ecology.flora.plantRecognizer.PredictNetRequest.image_data', index=0,
      number=1, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=b"",
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=190,
  serialized_end=229,
)


_PREDICTNETRESPONSE = _descriptor.Descriptor(
  name='PredictNetResponse',
  full_name='ecology.flora.plantRecognizer.PredictNetResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='plant_family_name', full_name='ecology.flora.plantRecognizer.PredictNetResponse.plant_family_name', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=231,
  serialized_end=278,
)

DESCRIPTOR.message_types_by_name['TrainNetRequest'] = _TRAINNETREQUEST
DESCRIPTOR.message_types_by_name['TrainNetResponse'] = _TRAINNETRESPONSE
DESCRIPTOR.message_types_by_name['UpdateDataSetRequest'] = _UPDATEDATASETREQUEST
DESCRIPTOR.message_types_by_name['UpdateDataSetResponse'] = _UPDATEDATASETRESPONSE
DESCRIPTOR.message_types_by_name['PredictNetRequest'] = _PREDICTNETREQUEST
DESCRIPTOR.message_types_by_name['PredictNetResponse'] = _PREDICTNETRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

TrainNetRequest = _reflection.GeneratedProtocolMessageType('TrainNetRequest', (_message.Message,), {
  'DESCRIPTOR' : _TRAINNETREQUEST,
  '__module__' : 'ecology.flora.plantRecognizer.plantRecognizer_pb2'
  # @@protoc_insertion_point(class_scope:ecology.flora.plantRecognizer.TrainNetRequest)
  })
_sym_db.RegisterMessage(TrainNetRequest)

TrainNetResponse = _reflection.GeneratedProtocolMessageType('TrainNetResponse', (_message.Message,), {
  'DESCRIPTOR' : _TRAINNETRESPONSE,
  '__module__' : 'ecology.flora.plantRecognizer.plantRecognizer_pb2'
  # @@protoc_insertion_point(class_scope:ecology.flora.plantRecognizer.TrainNetResponse)
  })
_sym_db.RegisterMessage(TrainNetResponse)

UpdateDataSetRequest = _reflection.GeneratedProtocolMessageType('UpdateDataSetRequest', (_message.Message,), {
  'DESCRIPTOR' : _UPDATEDATASETREQUEST,
  '__module__' : 'ecology.flora.plantRecognizer.plantRecognizer_pb2'
  # @@protoc_insertion_point(class_scope:ecology.flora.plantRecognizer.UpdateDataSetRequest)
  })
_sym_db.RegisterMessage(UpdateDataSetRequest)

UpdateDataSetResponse = _reflection.GeneratedProtocolMessageType('UpdateDataSetResponse', (_message.Message,), {
  'DESCRIPTOR' : _UPDATEDATASETRESPONSE,
  '__module__' : 'ecology.flora.plantRecognizer.plantRecognizer_pb2'
  # @@protoc_insertion_point(class_scope:ecology.flora.plantRecognizer.UpdateDataSetResponse)
  })
_sym_db.RegisterMessage(UpdateDataSetResponse)

PredictNetRequest = _reflection.GeneratedProtocolMessageType('PredictNetRequest', (_message.Message,), {
  'DESCRIPTOR' : _PREDICTNETREQUEST,
  '__module__' : 'ecology.flora.plantRecognizer.plantRecognizer_pb2'
  # @@protoc_insertion_point(class_scope:ecology.flora.plantRecognizer.PredictNetRequest)
  })
_sym_db.RegisterMessage(PredictNetRequest)

PredictNetResponse = _reflection.GeneratedProtocolMessageType('PredictNetResponse', (_message.Message,), {
  'DESCRIPTOR' : _PREDICTNETRESPONSE,
  '__module__' : 'ecology.flora.plantRecognizer.plantRecognizer_pb2'
  # @@protoc_insertion_point(class_scope:ecology.flora.plantRecognizer.PredictNetResponse)
  })
_sym_db.RegisterMessage(PredictNetResponse)


DESCRIPTOR._options = None

_PLANTRECOGNIZERGRPC = _descriptor.ServiceDescriptor(
  name='PlantRecognizerGrpc',
  full_name='ecology.flora.plantRecognizer.PlantRecognizerGrpc',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=281,
  serialized_end=650,
  methods=[
  _descriptor.MethodDescriptor(
    name='TrainNet',
    full_name='ecology.flora.plantRecognizer.PlantRecognizerGrpc.TrainNet',
    index=0,
    containing_service=None,
    input_type=_TRAINNETREQUEST,
    output_type=_TRAINNETRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='UpdateDataSet',
    full_name='ecology.flora.plantRecognizer.PlantRecognizerGrpc.UpdateDataSet',
    index=1,
    containing_service=None,
    input_type=_UPDATEDATASETREQUEST,
    output_type=_UPDATEDATASETRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='PredictNet',
    full_name='ecology.flora.plantRecognizer.PlantRecognizerGrpc.PredictNet',
    index=2,
    containing_service=None,
    input_type=_PREDICTNETREQUEST,
    output_type=_PREDICTNETRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_PLANTRECOGNIZERGRPC)

DESCRIPTOR.services_by_name['PlantRecognizerGrpc'] = _PLANTRECOGNIZERGRPC

# @@protoc_insertion_point(module_scope)
